MODULE work

integer n
real(8) h

type Parametri
real(8) k
real(8) k1
real(8) k3
real(8) B
real(8) omega
end type Parametri
type(Parametri) param

real(8), allocatable ::x(:,:)
real(8), allocatable ::w1(:),w2(:),w3(:),w4(:)
real(8), allocatable ::f(:)

real(8), allocatable ::x0(:), xEnd(:), x00(:)

END MODULE work